import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

const routes = [{
  path: '/home',
  name: 'Home',
  component: resolve => require(['./views/Home'], resolve)
}, {
  path: '/my',
  name: 'My',
  component: resolve => require(['./views/My'], resolve)
}, {
  path: '/index/:tabActive',
  name: 'Index',
  component: resolve => require(['./views/Index'], resolve)
}, {
  path: '*',
  redirect: '/home'
}]

const router = new Router({
  mode: 'history',
  routes: routes,
  base: '/activity/worldcup'
})

router.beforeEach((to, from, next) => {
  if (to.matched.length === 0) { /* 如果未匹配到路由 */
    from.name ? next({
      name: from.name
    }) : next('/') /* 如果上级也未匹配到路由则跳转home首页，如果上级能匹配到则转上级路由 */
  } else {
    next() /* 如果匹配到正确跳转 */
  }
})

export default router
